#!/bin/bash

# (1) 判断migu_music_server是否存在进程，存在的话则kill掉
echo "Killing existing migu_music_server process..."
pkill -f "migu_music_server"

# (2) 判断目录下是否有migu_music_server-开头的文件，有则删除
files=$(find . -maxdepth 1 -name 'migu_music_server-*' -type f)
if [ -n "$files" ]; then
    echo "Deleting existing migu_music_server files..."
    rm -f migu_music_server-*
else
    echo "No existing migu_music_server files found."
fi

# (3) 将migu_music_server重命名为migu_music_server- 加上时间戳
timestamp=$(date +"%Y%m%d%H%M%S")
if [ -e "migu_music_server" ]; then
    echo "Renaming migu_music_server to migu_music_server-$timestamp"
    mv migu_music_server "migu_music_server-$timestamp"
else
    echo "No migu_music_server file found."
fi


# 备份旧日志文件
LOG_BACKUP="myout-$(date +%Y%m%d-%H%M%S).log"
echo -e "\n[INFO] Backing up myout.log to $LOG_BACKUP ..."
mv myout.log $LOG_BACKUP


# (4) 将temp_migu_music_server重命名为migu_music_server，权限为777，然后后台运行
if [ -e "temp_migu_music_server" ]; then
    echo "Renaming temp_migu_music_server to migu_music_server"
    mv temp_migu_music_server migu_music_server
    chmod 777 migu_music_server
    echo "Starting migu_music_server in the background..."
    nohup ./migu_music_server server -c config/settings.yml > myout.log 2>&1 &
else
    echo "Error: temp_migu_music_server not found."
fi

echo "Script execution completed."

